groovy.sql

## Interface InParameter

- All Known Subinterfaces:
    InOutParameter

      public interface InParameter

  A typed parameter to pass to a query

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()` The JDBC data type.
    `java.lang.Object` | `getValue()` The object holding the data value.

- - ### Method Detail

    - #### getType

          int getType()

      The JDBC data type.
      Returns:
        the type

    - #### getValue

          java.lang.Object getValue()

      The object holding the data value.
      Returns:
        the value